<?php

  //  pdf-  
  $pdf = pdf_new();
  pdf_open_file($pdf, "");

  pdf_set_info($pdf, "Author", "Luke Welling and Laura Thomson");
  pdf_set_info($pdf, "Title", "Hello World (PHP)");
  pdf_set_info($pdf, "Creator", "testpdf.php");
  pdf_set_info($pdf, "Subject", "Test PDF");

  //     US letter   11  8.5  
  //    72   
  pdf_begin_page($pdf, 8.5*72, 11*72);

  //  
  pdf_add_bookmark($pdf, ' 1', 0, 0);

  $font = pdf_findfont($pdf, 'Times-Roman', 'host', 0);
  pdf_setfont($pdf, $font, 24);
  pdf_set_text_pos($pdf, 50, 700);

  //  
  pdf_show($pdf,' !');
  pdf_continue_text($pdf,'(says PHP)');

  //  
  pdf_end_page($pdf);
  pdf_close($pdf);

  $data = pdf_get_buffer($pdf);

  //  ,      
  header('Content-type: application/pdf');
  header('Content-disposition: inline; filename=testpdf.pdf');
  header('Content-length: ' . strlen($data));

  //  PDF
  echo $data;

?>
