<?php

//      " ".
//  ,  ,   ,
//        
//   .

//****************************************************************************
//  1.  
//       
//    ,    
//****************************************************************************

  include ('include_fns.php');
  session_start();

  //    
  $username = $_POST['username'];
  $passwd = $_POST['passwd'];
  $action = $_REQUEST['action'];
  $account = $_REQUEST['account'];
  $messageid = $_GET['messageid'];

  $to =  $_POST['to'];
  $cc =  $_POST['cc'];
  $subject =  $_POST['subject'];
  $message =  $_POST['message'];

  $buttons = array();

  //    ,  -    
  $status = '';

  //          
  if ($username || $password) {
    if (login($username, $passwd)) {
      $status .=
        "<p style=\"padding-bottom: 100px\">    .</p>";
      $_SESSION['auth_user'] = $username;
      if (number_of_accounts($_SESSION['auth_user']) == 1) {
        $accounts = get_account_list($_SESSION['auth_user']); 
        $_SESSION['selected_account'] = $accounts[0]; 
      }
    } else {
      $status .= "<p style=\"padding-bottom: 100px\">,   
                        .</p>";
    }
  }

  if ($action == 'log-out') {
    session_destroy();
    unset($action);
    $_SESSION = array();
  }

  //      
  //  ,     
  switch ($action) {
    case 'delete-account':
      delete_account($_SESSION['auth_user'], $account);
    break;

    case 'store-settings':
      store_account_settings($_SESSION['auth_user'], $_POST);
    break;

    case 'select-account':
      //     , 
      //     
      if (($account) && (account_exists($_SESSION['auth_user'], $account))) {
        $_SESSION['selected_account'] = $account;
      }
    break;
  }

  //  ,      
  $buttons[0] = 'view-mailbox'; 
  $buttons[1] = 'new-message';
  $buttons[2] = 'account-setup';  

  //     ,     
  if (check_auth_user()) {
    $buttons[4] = 'log-out'; 
  }

//****************************************************************************
//  2.   
//  HTML-   ,    
//****************************************************************************  

  if ($action) {
    //          
    do_html_header($_SESSION['auth_user'], 
      "  - ".format_action($action), $_SESSION['selected_account']);
  } else {
    //       
    do_html_header($_SESSION['auth_user'],
      " ", $_SESSION['selected_account']);
  }

  display_toolbar($buttons);

//****************************************************************************
//  3.    
//        
//****************************************************************************

  //   ,  , 
  //     
  echo $status;

  if (!check_auth_user()) {
    echo "<p>     ";

    if (($action) && ($action != 'log-out')) {
      echo "     ".format_action($action);
    }
    echo ".</p>";
    display_login_form($action);
  } else {
    switch ($action) {
      //       , 
      //        ,
      //     
      case 'store-settings':
      case 'account-setup':
      case 'delete-account':
        display_account_setup($_SESSION['auth_user']);
      break;

      case 'send-message':
        if (send_message($to, $cc, $subject, $message)) {
          echo "<p style=\"padding-bottom: 100px\"> .</p>";
        } else {
          echo "<p style=\"padding-bottom: 100px\">
              .</p>";
        }
      break;

      case 'delete':
         delete_message($_SESSION['auth_user'], 
                        $_SESSION['selected_account'], $messageid);
         //  ,   'break'    
         //       case

      case 'select-account':
      case 'view-mailbox':
        //      ,   
        display_list($_SESSION['auth_user'], 
                     $_SESSION['selected_account']);
      break;

      case 'show-headers':
      case 'hide-headers':
      case 'view-message':
        //       , 
        //       
        //   ,  
        $fullheaders = ($action == 'show-headers'); 
        display_message($_SESSION['auth_user'], 
                        $_SESSION['selected_account'], 
                        $messageid, $fullheaders);
      break;

      case 'reply-all': 
        //    cc   cc   
        if (!$imap) {
          $imap = open_mailbox($_SESSION['auth_user'], 
                               $_SESSION['selected_account']);
        }

        if ($imap) {
          $header = imap_header($imap, $messageid);
          if ($header->reply_toaddress) {
            $to = $header->reply_toaddress;
          } else {
            $to = $header->fromaddress;
          }

          $cc = $header->ccaddress;
          $subject = "Re: ".$header->subject;
          $body = add_quoting(stripslashes(imap_body($imap, $messageid)));
          imap_close($imap);

          display_new_message_form($_SESSION['auth_user'], 
                                   $to, $cc, $subject, $body);
        }
      break;

      case 'reply':
        //    to   reply-to 
        //  from  
        if (!$imap) {
          $imap = open_mailbox($_SESSION['auth_user'], 
                               $_SESSION['selected_account']);
        }

        if ($imap) {
          $header = imap_header($imap, $messageid);
          if ($header->reply_toaddress) {
            $to = $header->reply_toaddress;
          } else {
            $to = $header->fromaddress;
          }

          $subject = "Re: ".$header->subject;
          $body = add_quoting(stripslashes(imap_body($imap, $messageid)));
          imap_close($imap);
          
          display_new_message_form($_SESSION['auth_user'], 
                                   $to, $cc, $subject, $body);
        }       
      break;        

      case 'forward':
        //    body   
        //  ,   
        if (!$imap) {
          $imap = open_mailbox($_SESSION['auth_user'], 
                               $_SESSION['selected_account']);
        }

        if ($imap) {
          $header = imap_header($imap, $messageid);
          $body = add_quoting(stripslashes(imap_body($imap, $messageid)));
          $subject = "Fwd: ".$header->subject;
          imap_close($imap);
          display_new_message_form($_SESSION['auth_user'], 
                                   $to, $cc, $subject, $body);
        }
      break;

      case 'new-message':
        display_new_message_form($_SESSION['auth_user'], 
                                 $to, $cc, $subject, $body);
      break;
    }
  }

//****************************************************************************
//  4.    
//****************************************************************************

  do_html_footer();
?>
