<?php

/**********************************************************************
 *  1.   
 *********************************************************************/

  include ('include_fns.php');
  session_start();

  $action = $_GET['action'];
  $buttons = array();

  //    ,  -     
  $status = '';

  //          
  if (($_POST['email']) && ($_POST['password'])) {
    $login = login($_POST['email'], $_POST['password']);
    
    if ($login == 'admin') {
      $status .= "<p style=\"padding-bottom: 50px\">
                  <strong>".get_real_name($_POST['email'])."</strong>
                       
                  <strong></strong>.</p>";
      $_SESSION['admin_user'] = $_POST['email'];
    } else if ($login == 'normal') {
             $status .= "<p style=\"padding-bottom: 50px\">
                         <strong>".get_real_name($_POST['email'])."</strong>
                             .</p>";
             $_SESSION['normal_user'] = $_POST['email'];
    } else {
      $status .= "<p style=\"padding-bottom: 50px\">, 
                        
                    .</p>";
    }
  }

  if ($action == 'log-out') {
    unset($action);
    $_SESSION=array();
    session_destroy();
  }

/**********************************************************************
 *  2.     
 *********************************************************************/

  //  ,      
  if (check_normal_user()) {
    //   
    $buttons[0] = 'change-password';
    $buttons[1] = 'account-settings';
    $buttons[2] = 'show-my-lists';
    $buttons[3] = 'show-other-lists';
    $buttons[4] = 'log-out'; 
  } else if (check_admin_user()) {
    //  
    $buttons[0] = 'change-password';
    $buttons[1] = 'create-list';
    $buttons[2] = 'create-mail';
    $buttons[3] = 'view-mail';
    $buttons[4] = 'log-out';
    $buttons[5] = 'show-all-lists';
    $buttons[6] = 'show-my-lists';
    $buttons[7] = 'show-other-lists';
  } else {
    //       
    $buttons[0] = 'new-account'; 
    $buttons[1] = 'show-all-lists';
    $buttons[4] = 'log-in';
  }

  if ($action) {
    //          
    do_html_header(' - '.format_action($action));
  } else {
    //      
    do_html_header('');
  }

  display_toolbar($buttons);

  //   ,  ,    
  echo $status;

/**********************************************************************
 *  3.  
 *********************************************************************/

  //        
  switch ($action) {
    case 'new-account':
      //    
      session_destroy();
      display_account_form();   
    break;

    case 'store-account':
      if (store_account($_SESSION['normal_user'], 
                        $_SESSION['admin_user'], $_POST)) {
        $action = '';
      }

      if(!check_logged_in()) {
        display_login_form($action);
      }
    break;

    case 'log-in':
    case '':
      if(!check_logged_in()) {
        display_login_form($action);
      }
    break;

    case 'show-all-lists':
      display_items(' ', get_all_lists(), 'information',
                    'show-archive','');
    break;

    case 'show-archive':
      display_items('  '.get_list_name($_GET['id']), 
                     get_archive($_GET['id']), 'view-html', 
                    'view-text', '');
    break;

    case 'information':
      display_information($_GET['id']);
    break;
  }

  //       
  if (check_logged_in()) {
    switch ($action) {
      case 'account-settings':
        display_account_form(get_email(), 
              get_real_name(get_email()), get_mimetype(get_email()));   
      break;

      case 'show-other-lists':
        display_items(' ', 
                      get_unsubscribed_lists(get_email()), 'information', 
                      'show-archive', 'subscribe');
      break;

      case 'subscribe':
        subscribe(get_email(), $_GET['id']);
        display_items(' ', get_subscribed_lists(get_email()),
                      'information', 'show-archive', 'unsubscribe');
      break;

      case 'unsubscribe':
        unsubscribe(get_email(), $_GET['id']);
        display_items(' ', get_subscribed_lists(get_email()),
                      'information', 'show-archive', 'unsubscribe');
      break;

      case '':
      case 'show-my-lists':
        display_items(' ', get_subscribed_lists(get_email()), 
                      'information', 'show-archive', 'unsubscribe');
      break;

      case 'change-password':
        display_password_form();
      break;

      case 'store-change-password':
        if(change_password(get_email(), $_POST['old_passwd'], 
           $_POST['new_passwd'], $_POST['new_passwd2'])) {
          echo "<p style=\"padding-bottom: 50px\">OK:  .</p>";
        } else {
          echo "<p style=\"padding-bottom: 50px\">,  
                    .</p>";
          display_password_form();
        } 
      break;
    }
  }

  //     
  if (check_admin_user()) {
    switch ($action) {
      case 'create-mail':
        display_mail_form(get_email());   
      break;

      case 'create-list':
        display_list_form(get_email());   
      break;

      case 'store-list':
        if(store_list($_SESSION['admin_user'], $_POST)) {
          echo "<p style=\"padding-bottom: 50px\">  .</p>";
          display_items(' ', get_all_lists(), 'information', 
                        'show-archive','');
        } else {
          echo "<p style=\"padding-bottom: 50px\">   .
                 ,  .</p>";
        }
      break;

      case 'send':
        send($_GET['id'], $_SESSION['admin_user']);   
      break;

      case 'view-mail':
        display_items(' ', get_unsent_mail(get_email()), 
                      'preview-html', 'preview-text', 'send');
      break;
    }
  } 

/**********************************************************************
 *  4.    
 *********************************************************************/
  do_html_footer();
?> 
