<?php

//       ?
function subscriber_exists($email) {
  if (!$email)
    return false;

  if (!($conn=db_connect()))
    return false;

  $query = "select count(*) from subscribers where email = '$email'";

  $result = $conn->query($query);
  if (!$result)
    return false;
  $row = $result->fetch_array();
  return ($row[0] > 0);
}

//          ?
function subscribed($email, $listid) {
  if (!$email||!$listid)
    return false;

  if (!($conn=db_connect()))
    return false;

  $query = "select count(*) from sub_lists where email = '$email'
            and listid = $listid";

  $result = $conn->query($query);
  if (!$result)
    return false;
  $row = $result->fetch_array();
  return ($row[0] > 0);
}

//    listid  ?
function list_exists($listid) {
  if (!$listid)
    return false;

  if (!($conn = db_connect()))
    return false;

  $query = "select count(*) from lists where listid = '$listid'";

  $result = $conn->query($query);
  if (!$result)
    return false;
  $row = $result->fetch_array();
  return ($row[0] > 0);
}

//      
function get_real_name($email) {
  if (!$email)
    return false;

  if (!($conn = db_connect()))
    return false;

  $query = "select realname from subscribers where email = '$email'";

  $result = $conn->query($query);
  if (!$result)
    return false;
  $row = $result->fetch_array();
  return trim($row[0]);
}

//   (HTML  Text),     
function get_mimetype($email) {
  if (!$email)
    return false;

  if (!($conn = db_connect()))
    return false;

  $query = "select mimetype from subscribers where email = '$email'";

  $result = $conn->query($query);
  if (!$result)
    return false;
  $row = $result->fetch_array();
  return trim($row[0]);
}

//         
function subscribe($email, $listid) {

  if ((!$email) || (!$listid) || (!list_exists($listid))
      || (!subscriber_exists($email))) {
    return false;
  }

  // ,       
  if (subscribed($email, $listid)) {
    return false;
  }

  if (!$conn = db_connect()) {
    return false;
  }

  $query = "insert into sub_lists values ('".$email."', $listid)";

  $result = $conn->query($query);
  return $result;
}

//       
//    
function unsubscribe($email, $listid) {

  if ((!$email) || (!$listid)) {
    return false;
  }

  if (!$conn = db_connect()) {
    return false;
  }

  $query = "delete from sub_lists where email = '".$email."' and
            listid = '".$listid."'";

  $result = $conn->query($query);
  return $result;
}

//        
function load_mail_info($mailid) {
  if (!$mailid)
    return false;

  if (!($conn = db_connect()))
    return false;

  $query = "select subject, listid, status, sent from mail
            where mailid = $mailid";

  $result = $conn->query($query);

  if (!$result) {
    echo "      $query";
    return false;
  }
  return $result->fetch_assoc();

}

//        
function load_list_info($listid) {
  if (!$listid) {
    return false;
  }

  if(!$conn = db_connect()) {
    return false;
  }

  $query = "select listname, blurb from lists where listid =
            '".$listid."'";
  $result = $conn->query($query);

  if (!$result) {
    echo "<p>   </p>";
    return false;
  }

  $info =  $result->fetch_assoc();

  $query = "select count(*) from sub_lists where listid =
            '".$listid."'";
  $result = $conn->query($query);

  if ($result) {
    $row = $result->fetch_array();
    $info['subscribers'] = $row[0];
  }

  $query = "select count(*) from mail where listid = '".$listid."'
            and status = 'SENT'";
  $result = $conn->query($query);

  if ($result) {
    $row = $result->fetch_array();
    $info['archive'] = $row[0];
  }
  return $info;
}

//  ,     
function get_list_name($listid) {
  if (!$listid)
    return false;

  if (!($conn = db_connect()))
    return false;

  $query = "select listname from lists where listid = $listid";
  $result = $conn->query($query);
  if (!$result) {
    return false;
  }
  $row = $result->fetch_array();
  return $row[0];
}

//       
function store_list($admin_user, $details) {
  if (!filled_out($details)) {
    echo "<p>    .  .</p>";
    return false;
  } else {
    if (!check_admin_user($admin_user)) {
      return false;  
      //      -,     
      //   ?
    }

    if (!$conn = db_connect()) { 
      return false;
    }

    $query = "select count(*) from lists where listname = '".
             $details['name']."'";
    $result = $conn->query($query);
    $row = $result->fetch_array();

    if ($row[0] > 0) {
      echo "<p>,      .</p>";
      return false;
    }

    $query = "insert into lists values (NULL,
             '".$details['name']."',
             '".$details['blurb']."')";
    $result = $conn->query($query);
    return $result; 
  }
}


//  ,     
function get_subscribed_lists($email) {
  $list = array();  

  $query = "select lists.listid, listname from sub_lists, lists 
            where email='$email' and lists.listid = sub_lists.listid 
            order by listname";

  if ($conn = db_connect()) {
    $result = $conn->query($query);
    if (!$result) {
      echo '<p>      .';
      return false;
    }
    $num = $result->num_rows;
    for ($i = 0; $i<$num; $i++) {
      $row = $result->fetch_array();
      array_push($list, array($row[0], $row[1]));
    }
  }
  return $list;
}

//   ,     ** 
function get_unsubscribed_lists($email) {
  $list = array();  

  $query = "select lists.listid, listname, email from lists
            left join sub_lists on lists.listid = sub_lists.listid
            and email='".$email."' where email is NULL
            order by listname";

  if ($conn = db_connect()) {
    $result = $conn->query($query);
    if (!$result) {
      echo "<p>     .</p>";
      return false;
    }

    $num = $result->num_rows;
    for ($i = 0; $i < $num; $i++) {
      $row = $result->fetch_array();
      array_push($list, array($row[0], $row[1]));
    }
  }
  return $list;
}

//    
function get_all_lists() {
  $list = array();  

  $query = 'select listid, listname from lists order by listname';

  if ($conn = db_connect()) {
    $result = $conn->query($query);
    if (!$result) {
      echo "<p>      .";
      echo '<p>Unable to get list from database.</p>';
      return false;
    }
    $num = $result->num_rows;
    for ($i = 0; $i<$num; $i++) {
      $row = $result->fetch_array();
      array_push($list, array($row[0], $row[1]));
    }
  }
  return $list;
} 

function get_archive($listid) {
  //        
  //    ( ,  )

  $list = array();  
  $listname = get_list_name($listid);

  $query = "select mailid, subject, listid from mail
            where listid = '".$listid."' and status = 'SENT'
            order by sent";

  if ($conn = db_connect()) {
    $result = $conn->query($query);
    if (!$result) {
      echo "<p>      .</p>";
      return false;
    }

    $num = $result->num_rows;

    for ($i = 0; $i < $num; $i++) {
      $row = $result->fetch_array();
      $arr_row = array($row[0], $row[1], $listname, $listid); 
      array_push($list, $arr_row);
    }
  }
  return $list;
} 

//   ,  ,   
function get_unsent_mail($email) {
  if (!check_admin_user($email)) {
    return false;
  }
  
  $list = array();  

  $query = "select mailid, subject, listid from mail 
            where status = 'STORED' or status = 'TESTED' order by modified"; 

  if ($conn = db_connect()) {
    $result = $conn->query($query);
    if (!$result) {
      echo '<p>      </p>';
      return false;
    }
    $num = $result->num_rows;
    for ($i = 0; $i<$num; $i++) {
      $row = $result->fetch_array();
      array_push($list, array($row[0], 
                              $row[1], 
                              get_list_name($row[2]),
                              $row[2]
                              )
                 );
    }
  }
  return $list;
} 

function store_account($normal_user, $admin_user, $details) {
//          
//     
  if (!filled_out($details)) {
    echo "<p>   .   .</p>";
    return false;
  } else {
    if (subscriber_exists($details['email'])) {
      // ,       , 
      //    
      if (get_email() == $details['email']) {
        $query = "update subscribers set
                  realname = '".$details[realname]."',
                  mimetype = '".$details[mimetype]."'
                  where email = '".$details[email]."'";
        if ($conn = db_connect()) {
          if ($conn->query($query)) {
            return true;
          } else {
            return false;
          }
        } else {
          echo "<p>  .</p>";
          return false;
        }
      } else {
        echo "<p>,      .</p>";
        echo "<p>       
                 .</p>";
        return false;                 
      }      
    } else {
      //   
      $query = "insert into subscribers
                values ('".$details[email]."',
                        '".$details[realname]."',
                        '".$details[mimetype]."',
                        sha1('".$details[new_password]."'),
                        0)";
      if ($conn = db_connect()) {
        if ($conn->query($query)) {
          return true;
        } else {
          return false;
        }
      } else {
        echo "<p>      .</p>";
        return false;
      }
    }
  }
} 

function send($mailid, $admin_user) {
//           .
//        
//   

  if (!check_admin_user($admin_user)) {
    return false;
  }
  
  if (!($info = load_mail_info($mailid))) { 
    echo "<p>       ".
         $mailid."</p>";
    return false;
  }

  $subject = $info['subject'];
  $listid = $info['listid'];
  $status = $info['status'];
  $sent = $info['sent'];

  $from_name = '';

  $from_address = 'return@address';

  $query = "select email from sub_lists where listid = '".$listid."'";

  $conn = db_connect();
  $result = $conn->query($query);

  if (!$result) {
    echo $query;
    return false;  
  } else if ($result->num_rows == 0) {
    echo "<p>      ".$listid."</p>";
    return false; 
  }

  //     PEAR
  include('Mail.php');
  include('Mail/mime.php');

  //    Mail_mime     
  //  / ,     
  $message = new Mail_mime("\r\n");

  //    
  $textfilename = "archive/".$listid."/".$mailid."/text.txt";
  $tfp = fopen($textfilename, "r");
  $text = fread($tfp, filesize($textfilename));
  fclose($tfp);

  //  HTML- 
  $htmlfilename = "archive/".$listid."/".$mailid."/index.html";
  $hfp = fopen($htmlfilename, "r");
  $html = fread($hfp, filesize($htmlfilename));
  fclose($hfp);

  //  HTML-       Mail_mime
  $message->setTXTBody($text);
  $message->setHTMLBody($html);

  //   ,    
  $query = "select path, mimetype from images where
            mailid = '".$mailid."'";
  $result = $conn->query($query);

  if (!$result) {
    echo "<p>       .</p>";
    return false;
  }
  $num = $result->num_rows;
  for ($i = 0; $i < $num; $i++) {  
    //     
    $row = $result->fetch_array();
    $imgfilename = "archive/$listid/$mailid/".$row[0];
    $imgtype = $row[1];

    //      Mail_mime
    $message->addHTMLImage($imgfilename, $imgtype, $imgfilename, true);
  }

  //   
  $body = $message->get();  

  //   
  $from = '"'.get_real_name($admin_user).'" <'.$admin_user.'>';
  $hdrarray = array('From'    => $from,
                    'Subject' => $subject);

  $hdrs = $message->headers($hdrarray);

  //   
  $sender =& Mail::factory('mail');

  if ($status == 'STORED') {
    //  HTML-  
    $sender->send($admin_user, $hdrs, $body);

    //     
    mail($admin_user, $subject, $text, 'From: "'
         .get_real_name($admin_user).'" <'.$admin_user.">");

    echo "  ".$admin_user."."; 

    //    
    $query = "update mail set status = 'TESTED' where mailid = '".$mailid."'";
    $result = $conn->query($query);

    echo "<p>     , 
               .
          <div align=\"center\">";
    display_button('send', '&id='.$mailid);
    echo "</div></p>";
  } else if ($status == 'TESTED') {
    //     

    $query = "select subscribers.realname, sub_lists.email, 
                     subscribers.mimetype  
              from sub_lists, subscribers 
              where listid = $listid and 
                    sub_lists.email = subscribers.email";

    $result = $conn->query($query);
    if (!$result) {
      echo "<p>    </p>";
    }

    $count = 0;      
    //   
    while ($subscriber = $result->fetch_row()) {
      if ($subscriber[2] == 'H') {
        //  HTML-   
        $sender->send($subscriber[1], $hdrs, $body);
      } else {
        //    , 
        //       HTML
        mail($subscriber[1], $subject, $text, 
             'From: "'.get_real_name($admin_user).'" <'.$admin_user.'>');
      }
      $count++; 
    }

    $query = "update mail set status = 'SENT', sent = now() 
              where mailid = '".$mailid."'";
    $result = $conn->query($query);
    echo "<p>   : $count.</p>";
  } else if ($status == 'SENT') {
    echo "<p>    .</p>";
  }
}

?>
